Refracta Development, Scripts, etc.
Post a reply
VastOne

- VastOne
- Posts: 9
- Joined: Wed May 29, 2013 1:52 am

## Refracta Installer not working

Wed May 29, 2013 2:02 am

Hi, I am testing refracta and have run into a bit of an issue. The snapshot of my sid based system has gone fine creating a bootable 685 MiB ISO of my distro
When I run the yad installer (refractainstaller-base_9.0.8-1_all.deb and refractainstaller-gui_9.0.8-2_all.deb) from the Live USB, I get a full stop immediately after selecting the swap partition
This is the error I got when I ran it from terminal.. It fails right after selecting the swap partition

Code:
  `Warning: Tried to connect to session manager, Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
  Unable parse command line: Unknown option --info`

I appreciate any help, thanks
fsmithred

- fsmithred
- Posts: 2101
- Joined: Wed Mar 09, 2011 9:13 pm

## Re: Refracta Installer not working

Wed May 29, 2013 9:57 am

Check /var/log/refractainstaller_errors.log for relevant messages.
The first "--info" after selecting the swap partition comes on line 727 of /usr/bin/refractainstaller-yad. It's the summary window that tells you what you're about to do before anything gets done, and it's the last chance to exit before installing. Did you get this window? The next "--info" is at the very end, to tell you that the installation is finished.
What version of yad are you using? I believe you need yad_0.19.1-1 or newer. (maybe 17.something works, too)
That's all I can think of right now. I might be able to test it later today.
VastOne

- VastOne
- Posts: 9
- Joined: Wed May 29, 2013 1:52 am

## Re: Refracta Installer not working

Wed May 29, 2013 12:17 pm

Hi fsmithred
Thanks for the insight... I believe it is due to the old version of yad (12.4 - Don't shoot me) I had ... I have grabbed the latest and now am off to test
Thanks
VastOne

- VastOne
- Posts: 9
- Joined: Wed May 29, 2013 1:52 am

## Re: Refracta Installer not working

Wed May 29, 2013 1:20 pm

Got yad_0.21.0 installed and made it through the installation until the very end where I got an exit 0 error at trying to create a new user
Here is the blurb from /var/log/refractainstaller_error.log

Code:
  `Usage: usermod [options] LOGIN
  Options:
  -c, --comment COMMENT new value of the GECOS field
  -d, --home HOME_DIR new home directory for the user account
  -e, --expiredate EXPIRE_DATE set account expiration date to EXPIRE_DATE
  -f, --inactive INACTIVE set password inactive after expiration
  to INACTIVE
  -g, --gid GROUP force use GROUP as new primary group
  -G, --groups GROUPS new list of supplementary GROUPS
  -a, --append append the user to the supplemental GROUPS
  mentioned by the -G option without removing
  him/her from other groups
  -h, --help display this help message and exit
  -l, --login NEW_LOGIN new value of the login name
  -L, --lock lock the user account
  -m, --move-home move contents of the home directory to the
  new location (use only with -d)
  -o, --non-unique allow using duplicate (non-unique) UID
  -p, --password PASSWORD use encrypted password for the new password
  -R, --root CHROOT_DIR directory to chroot into
  -s, --shell SHELL new login shell for the user account
  -u, --uid UID new UID for the user account
  -U, --unlock unlock the user account
  -Z, --selinux-user SEUSER new SELinux user mapping for the user account`

Nearly there... thanks for the help
fsmithred

- fsmithred
- Posts: 2101
- Joined: Wed Mar 09, 2011 9:13 pm

## Re: Refracta Installer not working

Wed May 29, 2013 1:33 pm

No problem. Somebody had to do it, and now it's documented. Thanks.
Some questions, though:
How did you install refracta installer? If you installed from the .deb, this should not have happened, but I suspect that I overlooked something. Do you have zenity installed? If so, what version. If it's a late enough version, then the deb would have installed without error, but then the script would have used yad in preference to zenity, even though it's an older version. Or, as you did, you could run it from command line. I might have to add another test for the yad version
The usermod command in the script looks right. What's the user ID number of the user you want to change? The script assumes that you're changing the primary user (1000:1000). If it's some other number, it won't work. An alternative is to wait until the installation is finished, boot into the new system, drop to console (ctrl-alt-F1), log in as root, and run 'change-username <oldname> <newname>'
VastOne

- VastOne
- Posts: 9
- Joined: Wed May 29, 2013 1:52 am

## Re: Refracta Installer not working

Wed May 29, 2013 2:01 pm

^ I'll check on the user id number on another test install but I am 99% positive it is 1000:1000 ... I think I might know the issue to this and will let you know after another test
I do not have zenity installed
Thanks for the assist...
fsmithred

- fsmithred
- Posts: 2101
- Joined: Wed Mar 09, 2011 9:13 pm

## Re: Refracta Installer not working

Fri May 31, 2013 3:55 pm

Did you get it to work?
dzz

- dzz
- Posts: 647
- Joined: Wed Apr 27, 2011 11:53 am
- Location: Devon, England

## Re: Refracta Installer not working

Sat Jun 01, 2013 1:13 pm

Did today a siduction install (the nox version). Purged unwanted siduction stuff. Dist-upgraded. Installed lightdm, a minimal xfce, latest yad, Debian live-boot and live-config. No zenity. Installed (deps first) refracta tools. Made snapshot, put image on a stick with refracta2usb. Booted the stick. Installed it to HD with a different username and grub to partition.
The snapshot installation runs fine, I'm writing from it now. If there is a problem with refractainstaller in a current sid snapshot I can't find it..
EDIT
There was one problem noted later.. grub to partition failed (and didn't show in the errorlog). It needs the --force option to do that. I don't allow any test install to mess with mbr.
EDIT2
I can't see a problem in the script to explain why grub (-pc) failed.. but it did fail, I had to do grub-install --force manually to get it to behave (I want to chainload the partition boot sector) I have seen before where grub-install or update-grub fails for no apparent reason then works fine when repeated. I'm not convinced the installer is at fault at all.
Last edited by dzz on Sat Jun 01, 2013 8:31 pm, edited 1 time in total.
meandean

- meandean
- Posts: 392
- Joined: Wed Mar 09, 2011 5:16 am

## Re: Refracta Installer not working

Sat Jun 01, 2013 3:54 pm

> dzz wrote:I don't allow any test install to mess with mbr.

Me neither, I just skip installing grub and update my already installed grub configs. I still can't fathom the point of trying to install grub to a partition.
dzz

- dzz
- Posts: 647
- Joined: Wed Apr 27, 2011 11:53 am
- Location: Devon, England

## Re: Refracta Installer not working

Sat Jun 01, 2013 7:39 pm

Well we did discuss that one before. Only for *most* users is it pointless.
If using a main system bootloader other than grub-pc, I find chainloading makes life easier, Here the main menu does not need updating at all after a new install. Grub-legacy, extlinux and lilo also exist, grub-pc is not actually compulsory.
Without meaning to reopen a user-choice debate, my point here is simply that grub to partition is in the current installer options but failed as I said (and that the errors experienced by the OP were not seen here)
Post a reply
Jump to:

Powered by phpBB © phpBB Group.

phpBB Mobile / SEO by Artodia.